For the complete documentation index, see llms.txt. This page is also available as Markdown.

Table of content

Retrieve taxonomy table of content by entrypoint URL.

post

Retrieve taxonomy table of content (TOC) by entrypoint URL.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
stringOptional
Responses
200

OK

application/json
post/taxonomy/entrypoints/table-of-content
POST /taxonomy/entrypoints/table-of-content HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 106

"http://www.nltaxonomie.nl/nt18/kvk/20231213/entrypoints/kvk-rpt-jaarverantwoording-2023-nlgaap-micro.xsd"
{
  "tableOfContent": [
    {
      "linkRoleId": "text",
      "linkRole": "text",
      "caption": "text",
      "concept": "text",
      "model": [
        {
          "key": "text",
          "value": "text",
          "type": "text"
        }
      ],
      "labels": [
        {
          "text": "text",
          "lang": "text",
          "role": "text"
        }
      ],
      "children": [
        {
          "linkRoleId": "text",
          "linkRole": "text",
          "caption": "text",
          "concept": "text",
          "model": [
            {
              "key": "text",
              "value": "text",
              "type": "text"
            }
          ],
          "labels": [
            {
              "text": "text",
              "lang": "text",
              "role": "text"
            }
          ],
          "children": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ]
}

Retrieve taxonomy table of content by entrypoint ID.

get

Retrieve taxonomy table of content (TOC) by entrypoint ID.

Authorizations
AuthorizationstringRequired

Please enter token

Path parameters
idstringRequired

The taxonomy entry point id (UUID).

Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200

OK

application/json
string · byteOptional
get/taxonomy/entrypoints/{id}/table-of-content
GET /taxonomy/entrypoints/{id}/table-of-content HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Ynl0ZXM=

Was this helpful?